## abntex 0.8.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,8 @@
-#$Header: /home/cvsroot/abntex/Makefile,v 1.30 2003/10/17 14:21:09 gweber Exp $
+#$Header: /home/cvsroot/abntex/Makefile,v 1.30.2.1 2004/11/02 16:18:13 gweber Exp $
 #$Log: Makefile,v $
+#Revision 1.30.2.1  2004/11/02 16:18:13  gweber
+#addicionado --dereference em install: para corrigir bug 212
+#
 #Revision 1.30  2003/10/17 14:21:09  gweber
 #Mais uma pequenca correo para gerar abntex.spec
 #
@@ -158,6 +161,11 @@
 SRPMS=/usr/src/rpm/SRPMS
 SOURCES=/usr/src/rpm/SOURCES
 
+#diretrios padro do rpm (SuSE)
+RPMS=/usr/src/packages/RPMS/noarch
+SRPMS=/usr/src/packages/SRPMS
+SOURCES=/usr/src/packages/SOURCES
+
 #diretrio para gerao de pacotes
 PACKDIR=abntex-${VERSION}
 
@@ -290,9 +298,9 @@
 
 #install e uninstall especfico para tetex localizado em ${TEXDIR}
 install:
-	cp ${OPVR} --preserve texmf/* ${TEXDIR}
-	cp ${OPVR} --preserve lyx/* ${LYXDIR}
-	cp ${OPVR} --preserve bin/* ${USRLOCAL}
+	cp ${OPVR} --dereference --preserve texmf/* ${TEXDIR}
+	cp ${OPVR} --dereference --preserve lyx/* ${LYXDIR}
+	cp ${OPVR} --dereference --preserve bin/* ${USRLOCAL}
 	texhash
 
 #instalao mnima a partir de um diretrio cvs/abntex til para testes
