=== debian/changelog ===
abntex (0.9~beta2-6) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see: #847247)
  * Run wrap-and-sort.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added Homepage field.
      - Added 'Rules-Requires-Root: binary-targets' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Changed Vcs-* to use Salsa.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all data.
  * debian/rules: migrated to new (reduced) format.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/watch:
      - Bumped version to 4.
      - Updated search rules to use SF.net.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 26 Feb 2020 17:09:31 -0300

abntex (0.9~beta2-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop debian/postinst, call dh_installtex in debian/rules,
    and build depend on tex-common This causes the package to
    no longer install files to /usr/local (Closes: #669379).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 24 Jun 2012 18:08:20 -0400

abntex (0.9~beta2-5) unstable; urgency=low

  * Depends on texlive-fonts-recommended. Closes: #623412

 -- Otavio Salvador <otavio@ossystems.com.br>  Sun, 12 Jun 2011 01:51:24 -0300

abntex (0.9~beta2-4) unstable; urgency=low

  * Add Vcs-{Git,Browser} fields in debian/control
  * Add texlive-lang-portuguese as dependency

 -- Otavio Salvador <otavio@ossystems.com.br>  Mon, 14 Mar 2011 16:26:25 -0300

abntex (0.9~beta2-3) unstable; urgency=low

  * Drop tetex-extra build-depends. Closes: #562311
  * Move to Dpkg 3.0 (quilt) format
  * Bump Standard-Version to 3.8.3
  * Cleanup depends field adding ${misc:Depends} and removing tetex-
    extra
  * Drop empty debian/prerm file
  * Do not use full path when calling mktexlsr

 -- Otavio Salvador <otavio@ossystems.com.br>  Thu, 07 Jan 2010 12:53:02 -0200

abntex (0.9~beta2-2.1) unstable; urgency=low

  * Non Maintainer Upload
  * Fix Build-Depends-Indep on texlive packages (closes: #442313)

 -- Don Armstrong <don@debian.org>  Sat, 08 Mar 2008 02:33:11 -0800

abntex (0.9~beta2-2) unstable; urgency=low

  * Move back to main since it doesn't depends of latex2html for building.

 -- Otavio Salvador <otavio@debian.org>  Wed, 22 Nov 2006 11:29:08 -0200

abntex (0.9~beta2-1) unstable; urgency=low

  * Removed latex2html from Depends and Build-Depends.
  * Include full LPPL license on debian/copyright.
  * Add support to build using texlive. Closes: #380291.

 -- Otavio Salvador <otavio@debian.org>  Wed, 22 Nov 2006 11:22:38 -0200

abntex (0.8.99+0.9beta-1) unstable; urgency=low

  * New upstream release (closes: #339060)
    - Add dependency to latex2html
    - Move to contrib due latex2html non-freeness
  * Update packaging, now conforming to policy version 3.7.2
  * Change debhelper compatibility level to 5

 -- Otavio Salvador <otavio@debian.org>  Mon, 15 May 2006 12:26:11 -0300

abntex (0.8.2-2) unstable; urgency=low

  * Update debian/watch file to handle the way we currently use the
    version number and also update its format to version 3

 -- Otavio Salvador <otavio@debian.org>  Wed, 24 Aug 2005 17:19:06 -0300

abntex (0.8.2-1) unstable; urgency=low

  * New upstream release
  * Update packaging, now conforming to policy version 3.6.2.

 -- Otavio Salvador <otavio@debian.org>  Sat,  2 Jul 2005 20:51:48 -0300

abntex (0.8.1-1) unstable; urgency=low

  * New upstream release

 -- Otavio Salvador <otavio@debian.org>  Mon, 19 Apr 2004 17:36:18 -0300

abntex (0.7.3-4) unstable; urgency=high

  * Applied upstream patch to remove latex2html dependencie
    (closes: #229152).
  * Increased the urgency to /high/ since this version of package was
    already included in testing by long time without any problems.

 -- Otavio Salvador <otavio@debian.org>  Tue, 23 Mar 2004 16:31:43 -0300

abntex (0.7.3-3) unstable; urgency=low

  * debian/rules:
    - fix copyright information;
    - removed the compatibility level configuration;
    - general cleanup.
  * debian/compat: added.
  * debian/control: removed the build-depends of "latex2html"
    (closes: #221315).

 -- Otavio Salvador <otavio@debian.org>  Tue, 18 Nov 2003 14:11:32 -0200

abntex (0.7.3-2) unstable; urgency=low

  * debian/rules: fix wrong move of files (closes: #220601).

 -- Otavio Salvador <otavio@debian.org>  Thu, 13 Nov 2003 13:45:11 -0200

abntex (0.7.3-1) unstable; urgency=low

  * New upstream release
    [Note: this version includes only bugfixes]

 -- Otavio Salvador <otavio@debian.org>  Fri, 17 Oct 2003 13:41:38 -0300

abntex (0.7.2-1) unstable; urgency=low

  * New upstream release
  * Update packaging, now conforming to policy version 3.6.1.

 -- Otavio Salvador <otavio@debian.org>  Thu, 25 Sep 2003 23:51:27 -0300

abntex (0.7-1) unstable; urgency=low

  * New upstream release
  * Update packaging, now conforming to policy version 3.5.10;

 -- Otavio Salvador <otavio@debian.org>  Mon,  9 Jun 2003 13:15:01 -0300

abntex (0.6.3-3) unstable; urgency=low

  * Update packaging, now conforming to policy version 3.5.9;
  * debian/control: Added build-dependence of latex2html
    (closes: #187038).

 -- Otavio Salvador <otavio@debian.org>  Mon, 31 Mar 2003 16:57:23 -0300

abntex (0.6.3-2) unstable; urgency=low

  * debian/control: Updated the Build-Depends-Indep field to depends of
    debhelper >= 4

 -- Otavio Salvador <otavio@debian.org>  Thu, 19 Dec 2002 14:39:32 -0200

abntex (0.6.3-1) unstable; urgency=low

  * New upstream release.
    [Note: this version is a bugfix and package change version, doesn't
    include any new feature]

 -- Otavio Salvador <otavio@debian.org>  Fri,  6 Dec 2002 22:35:17 -0200

abntex (0.6.2-1) unstable; urgency=low

  * New upstream release.
    [Note: the version 0.6 was not uploaded because of one critical bug]


