=== debian/control ===
Source: abntex
Section: tex
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends-Indep: tex-common,
                     texlive-fonts-extra,
                     texlive-fonts-recommended,
                     texlive-lang-portuguese,
                     texlive-latex-extra,
                     texlive-latex-recommended
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Rules-Requires-Root: binary-targets
Homepage: https://sourceforge.net/projects/abntex/
Vcs-Browser: https://salsa.debian.org/debian/abntex
Vcs-Git: https://salsa.debian.org/debian/abntex.git

Package: abntex
Architecture: all
Depends: texlive-fonts-recommended,
         texlive-lang-portuguese,
         texlive-latex-recommended,
         ${misc:Depends}
Description: LaTeX class for writing documents in ABNT standard
 AbnTeX is a class for writing documents in ABNT standard. The
 Brazilian Technical Standards Association (ABNT) is responsible for
 the national standardization and certification procedures. The
 package also includes support to BibTeX in the ABNT standard.
