=== debian/watch ===
version=4
opts="uversionmangle=s/-beta/~beta/" \
http://sf.net/abntex/abntex-doc-(.*)\.tar\.gz
