## abntex 0.9.beta2

=== debian/changelog ===
abntex (0.9.beta2-2) unstable; urgency=medium

  * QA upload.
  * Rewrite debian/rules to use modern hooks
  * Convert the package to avoid needing (fake)root.

 -- Niels Thykier <niels@thykier.net>  Wed, 05 Jun 2024 14:48:53 +0000

abntex (0.9.beta2-1) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + abntex: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 11:49:45 +0100

abntex (0.9~beta2-7) unstable; urgency=medium

  * QA upload.
  * debian/rules: Export FORCE_SOURCE_DATE=1 in order for texlive to
    respect SOURCE_DATE_EPOCH when generating .dvi file. (Closes: #995646)
  * debian/control: Update to debhelper-compat 13.
  * debian/control: Update to Standards-Version 4.6.0.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sat, 30 Apr 2022 18:53:28 -0700
