=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                      texlive-lang-portuguese,
                      texlive-latex-extra,
                      texlive-latex-recommended
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
-Rules-Requires-Root: binary-targets
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://sourceforge.net/projects/abntex/
 Vcs-Browser: https://salsa.debian.org/debian/abntex
 Vcs-Git: https://salsa.debian.org/debian/abntex.git
@@ -21,6 +21,7 @@
          texlive-lang-portuguese,
          texlive-latex-recommended,
          ${misc:Depends}
+Multi-Arch: foreign
 Description: LaTeX class for writing documents in ABNT standard
  AbnTeX is a class for writing documents in ABNT standard. The
  Brazilian Technical Standards Association (ABNT) is responsible for
